var comp =
{
	props:
	{
		
	},
	watch:
	{
		
	},
	mounted() 
	{
		this.setupLeafletMap();
	},
	beforeDestroy() {
		
	},
	created()
	{
	},
	data() {
		return {
			menu_items:
			{
				home: "Home",
				about_us: "About Us",
				contact: "Contact Us",
				memorial: "Memorial"
			},
			contact_us:
			{
				name: "",
				email: "",
				number: ""
			},
			contacted: false,
			sidenav:"",
			selected_comp: ""
		}
	},
	methods: {
		setPage(comp)
		{
			if(comp == "Home") window.scrollTo(0, 0);
			else if(comp == "About Us") window.scrollTo(0, 1100);
			else if(comp == "Contact Us") window.scrollTo(0, 2300);
			else if(comp == "Memorial") window.scrollTo(0, 3000);
			this.sidenav = "COMP__side_nav_close"
		},
		setupLeafletMap() {
			var coords = [-26.1039820012, 28.3212733269];
			var map = L.map("mapContainer").setView(coords, 14);
			L.tileLayer("http://{s}.tile.osm.org/{z}/{x}/{y}.png", {
			attribution:
				'&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
			}).addTo(map);

			var newMarker = new L.marker(coords).addTo(map);
			newMarker.bindPopup("<span style='cursor:pointer; text-decoration:underline' onclick=location='https://www.google.com/maps/place/Grasslands+Driving+Range/@-26.1055146,28.3180863,17z/data=!3m1!4b1!4m5!3m4!1s0x1e953fd77585a12f:0xb633dcc5be66e067!8m2!3d-26.1055146!4d28.320275'>Directions</span>");
		},
		onClick()
		{

		},
		async submitContactUsDetails(contact_us)
		{
			var error = "";
			if(isEmpty(contact_us.name)) error += "Please insert a name!\n";
			if(!Util.validateEmail(contact_us.email)) error += "Please insert a valid email!\n"
			if (contact_us.number.length > 10 || contact_us.number.length < 10 || !Util.isNumber(contact_us.number)) error += "Please insert a valid contact number!\n";

			if(error.length > 0) 
			{
				alert(error);
				return;
			}
			else
			{
				// var contact_us = await ContactUs.save(contact_us);
				// 5575699194:AAGwpB5T8znG0mHCufM2yPLxUcA7ZZ4WKaY
				fetch("https://api.telegram.org/bot5575699194:AAGwpB5T8znG0mHCufM2yPLxUcA7ZZ4WKaY/sendMessage?chat_id=-1001736551916&text="
				+ "Contact this person:" 
				+ "%0A" 
				+ "Name: " + contact_us.name
				+ "%0A" 
				+ "Email: " + contact_us.email
				+ "%0A" 
				+ "Number: " + contact_us.number
				);
				alert("We will contact you shortly!")
				// this.contacted = true;
			}
		},
		openFacebook()
		{
			window.open('https://www.facebook.com/Shaolin-Martial-Art-Kempton-Park-763558770489685')
		},
		openInstagram()
		{
			window.open('https://www.instagram.com/sifu_cris/')
		},
		openNav() 
		{
			this.sidenav = "COMP__side_nav_open"
		},
		closeNav() 
		{
			this.sidenav = "COMP__side_nav_close"
		}
	},
	
	computed: {
		
	}
};

